/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
ldse@hendriklipka.de
*/

package de.hendriklipka.ldse.common;

import java.io.*;

public class DebugFilterReader extends java.io.FilterReader
{
	public DebugFilterReader(Reader in)
	{
		super(in);
    Log.log("queryserver","query",1,"DebugFilterStream()");
	}
	
  public int read(char cbuf[], int off, int len) throws IOException 
  {
    int i=super.read(cbuf,off,len);
    Log.log("queryserver","query",1,"DebugFilterStream.read(char[],int,int)="+i);
    return i;
  }
  
  public int read() throws IOException 
  {
    Log.log("queryserver","query",1,"DebugFilterStream.read()");
    return super.read();
  }

  public int read(char cbuf[]) throws IOException 
  {
    Log.log("queryserver","query",1,"DebugFilterStream.read(char[])");
    return super.read(cbuf);
  }

  public long skip(long n) throws IOException 
  {
    Log.log("queryserver","query",1,"DebugFilterStream.skip()");
    return super.skip(n);
  }
    
  public void close() throws IOException
  {
    Log.log("queryserver","query",1,"DebugFilterStream.close()");
    super.close();
  }
  
  public boolean ready() throws IOException 
  {
    Log.log("queryserver","query",1,"DebugFilterStream.ready()");
    return in.ready();
  }
}